package com.malk.delegate;

import org.springframework.scheduling.annotation.Async;

public interface McDelegate {

    /**
     * 异步线程回调
     */
    @Async
    void setTimeout(Invoke fn, long millis);

    @FunctionalInterface
    interface Invoke {
        void execute();
    }
}
